package com.steerinfo.ems.tcm0311.service.impl;

import com.steerinfo.ems.tcm0311.mapper.TCm0311Mapper;
import com.steerinfo.ems.tcm0311.model.TCm0311;
import com.steerinfo.ems.tcm0311.service.ITCm0311Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * TCm0311服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-15 09:49
 * 类描述
 * 修订历史：
 * 日期：2019-10-15
 * 作者：王金涛
 * 参考：
 * 描述：TCm0311服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0311Service")
public class TCm0311ServiceImpl extends BaseServiceImpl<TCm0311, String> implements ITCm0311Service {

    @Autowired
    private TCm0311Mapper tCm0311Mapper;

    @Override
    protected IBaseMapper<TCm0311, String> getMapper() {
        return tCm0311Mapper;
    }

    public List<TCm0311> getNameAndId(){
        return tCm0311Mapper.getNameAndId();
    }

    public List<TCm0311> getUnsitemNameAndId(Map<String, Object> parameters){
        return tCm0311Mapper.getUnsitemNameAndId(parameters);
    }

    public TCm0311 getcheckstate(Map<String, Object> parameters){
        return tCm0311Mapper.getcheckstate(parameters);
    }

    public Long getMaxXh(){return tCm0311Mapper.getMaxXh();}
}
